#define TERM_HOME   0x01    // SOH
#define TERM_BS     0x08    // BS
#define TERM_TAB    0x09    // HTAB
#define TERM_LF     0x0a    // LF (Line feed) ^J
#define TERM_CLEAR  0x0c    // FF
#define TERM_CR     0x0d    // CR (Carriage return) ^M
#define TERM_POS    0x10    // Move to X,Y
#define TERM_ESC    0x1b    // More fun ahead

#define ESC_DISABLE_CURSOR      0x00
#define ESC_ENABLE_UNDER_CURSOR 0x01
#define ESC_ENABLE_BLOCK_CURSOR 0x02
#define ESC_SCROLL_LEFT         0x03
#define ESC_SCROLL_RIGHT        0x04
#define ESC_ENABLE_DISPLAY      0x05
#define ESC_DISABLE_DISPLAY     0x06
#define ESC_RAW_COMMAND         0x07
#define ESC_DISABLE_VERT_SCROLL 0x08
#define ESC_ENABLE_VERT_SCROLL  0x09
#define ESC_WRITE_CUSTOM        0x10
#define DISPLAY_CUSTOM_MASK     0xf8
#define DISPLAY_CUSTOM_VALUE    0x80
